Subject: [bug#51428] core-updates-frozen-batched-changes built and ready to merge

From: Thiago Jung Bauermann <[email-masked]>
Date: Tue, 02 Nov 2021 23:37:47 -0300

Hello again,

Em sexta-feira, 29 de outubro de 2021, às 17:10:03 -03, Maxim Cournoyer
escreveu:
> In other news I've added a polkit-duktape package on the cufbc branch.
> Feel free to try it (with some transformation applied, or by hacking
> s/polkit/polkit-duktape/ manually in your checkout).

Thank you for providing that package. I tried it with the patch at the end
of this message, and GTK+ built! Though I don’t think I have a way to test
whether polkit-duktape works well.

I was even able to build Emacs, but when I tried to install it there was
this error:

--8<---------------cut here---------------start------------->8---
guixp9: ./pre-inst-env guix package -p /tmp/profile -i emacs
    ⋮
building /gnu/store/cm09wbm7wj7k237df58rny22ghkmmcg8-emacs-27.2.drv...
building CA certificate bundle...
listing Emacs sub-directories...
building fonts directory...
generating GdkPixbuf loaders cache...
builder for `/gnu/store/w3bmrsz4v0bcz1s5gsd6dl83jrn0yk7n-gdk-pixbuf-loaders-cache-file.drv' failed to produce output path `/gnu/store/g4pj8hm97bl3fwnbami0j3g5ycvnh559-gdk-pixbuf-loaders-cache-file'
build of /gnu/store/w3bmrsz4v0bcz1s5gsd6dl83jrn0yk7n-gdk-pixbuf-loaders-cache-file.drv failed
View build log at '/var/log/guix/drvs/w3/bmrsz4v0bcz1s5gsd6dl83jrn0yk7n-gdk-pixbuf-loaders-cache-file.drv.bz2'.
cannot build derivation `/gnu/store/7hd26alx72spjadmfhs6ssfd6zs815l7-profile.drv': 1 dependencies couldn't be built
guix package: error: build of `/gnu/store/7hd26alx72spjadmfhs6ssfd6zs815l7-profile.drv' failed
--8<---------------cut here---------------end--------------->8---

The build log is just a bzip2-compressed empty file, though:

--8<---------------cut here---------------start------------->8---
guixp9: ls -l /var/log/guix/drvs/w3/bmrsz4v0bcz1s5gsd6dl83jrn0yk7n-gdk-pixbuf-loaders-cache-file.drv.bz2
-rw-r--r-- 1 root root 14 Nov  2 23:10 /var/log/guix/drvs/w3/bmrsz4v0bcz1s5gsd6dl83jrn0yk7n-gdk-pixbuf-loaders-cache-file.drv.bz2
guixp9: bzcat /var/log/guix/drvs/w3/bmrsz4v0bcz1s5gsd6dl83jrn0yk7n-gdk-pixbuf-loaders-cache-file.drv.bz2       
guixp9: 
--8<---------------cut here---------------end--------------->8---

Unfortunately I’ve been having less time to work on Guix lately, and
I wasn’t able yet to investigate this issue further.  Also, I will be on
travel for about a week with very little access to the internet, so I won’t
be able to respond or experiment further until I’m back.

This was based on c.u.f.b.c. commit eae3355ec8ad.

-- 
Thanks,
Thiago

From 57599a32057b6d42abf943356a9b9ea99687b81d Mon Sep 17 00:00:00 2001
From: Thiago Jung Bauermann <[email-masked]>
Date: Mon, 1 Nov 2021 11:53:41 -0300
Subject: [PATCH] gnu: colord-minimal: Use polkit-duktape on non-x86_64
 targets.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Because polkit depends on mozjs, which requires Rust, it can only be built on
x86_64 targets.  Therefore use polkit-duktape on other architectures.

* gnu/packages/gnome.scm (colord-minimal)[inputs]: Use ‘polkit-duktape’ on
non-x86_64 targets.
---
 gnu/packages/gnome.scm | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 5f7d3a953dcb..7345a3518b63 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -5303,7 +5303,12 @@ (define-public colord-minimal
        ("gusb" ,gusb-minimal)
        ("libgudev" ,libgudev)
        ("libusb" ,libusb)
-       ("polkit" ,polkit)
+       ;; polkit pulls in rust because of mozjs, so it’s only available on
+       ;; x86_64.  Use polkit-duktape on other arches, which uses duktape
+       ;; instead.
+       ("polkit" ,(if (target-x86-64?)
+                      polkit
+                      polkit-duktape))
        ("python" ,python-wrapper)
        ("sqlite" ,sqlite)
        ("sane-backends" ,sane-backends)))

base-commit: eae3355ec8ad7ac81419f4fd43dd71416b032f07